Bug 38214 - anaconda crashed (how long does this stupid summary have to be)
anaconda crashed (how long does this stupid summary have to be)
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-28 14:35 EDT by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-20 23:41:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-04-28 14:35:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.17-14 i586)


[long@dv133s47 floppy]$ more anacdump.txt 
Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 551, in
__call__
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1773, in
doInstall
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/harddrive.py", line 181, in
mergeF
ullHeaders
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/harddrive.py", line 101, in
mountM
edia
SystemError: trying to mount already-mounted iso image!

Local variables in innermost frame:
self: <harddrive.HardDriveInstallMethod instance at 825f800>
cdNum: 1

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
(itext
ProgressWindow
(dp5
S'scale'
p6
NsS'screen'
p7
(isnack
SnackScreen
p8
(dp9
S'height'
p10
I37
sS'width'
p11
I100
sS'helpCb'
p12

<failed>
[long@dv133s47 floppy]$ 


Reproducible: Didn't try
Comment 1 Brent Fox 2001-04-30 10:58:38 EDT
Can you reproduce this?
Comment 2 Need Real Name 2001-05-09 09:47:32 EDT
I'm afraid I can't try to reproduce this.  Either my floppy drive is going bad
or all the floppies I tried decided to disintegrate at the same time.  I can
tell you what I basically did to cause this:

1)  Boot from boot.img on floppy
2) Choose to upgrade an existing system (which was 7.0 in my case)
3) Choose to use ISO's on one of your hard drive partitions
4) Not sure if this matters but my /usr is separate from my / filesystem
5) Choose to upgrade enough packages so that there is not enough space for all
of them in /usr
6) You'll be told you need XXX more MB of space on /usr
7) Click the Back button to try and get back to the package selection screen

You should get the crash dump I got at this point I think.
Comment 3 Need Real Name 2001-05-10 02:00:55 EDT
anaconda also crashed for me doing new install of 7.1, about half way through 
following is text from crash
Following prob logged by anaconda for rh7.1            5/9/01

Traceback (innermost last)

File /var/tmp/anaconda-7.1//usr/lib/anaconda/iw/progress_gui.py line 19 in
run
rc = self.todo.doinstall()

File /var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py line 1852 in 
 doinstall(P, self.intf.messageWindow, pkgTimer))
 
File /var/tmp/anaconda-7.1//usr/lib/anaconda/to.py line 1564 in 
instCallback  fn = self.method.getFilename(h, pkgTimer)

File /var/tmp/anaconda-7.1//usr/lib/anaconda/image.py line 82 in 
getFilename  f = open("/mnt/source/" + key)
IOError [Errno 2] no such file or directory:
'/mnt/source/disk1-i386'


this occured not quite half way thru a new install

system configuration
cpu   amdk6-500 
motherboard Gigabyte GA-5AA
ram   384mb
micropolis 4gb ide drive 
Comment 4 Brent Fox 2001-05-10 11:32:24 EDT
I think that the problem that fleig@intcon.net is seeing is a different problem
entirely.  Please enter a separate bug report.

Comment 5 Brent Fox 2001-05-20 21:33:20 EDT
What partitions did you make and how big were they?
Comment 6 Need Real Name 2001-05-20 23:41:31 EDT
I think this should provide all the info on partitions, sorry for bad
formatting:

Script started on Sun May 20 22:33:41 2001
]0;root: /tmp[root /tmp]# fdisk /dev/hda

The number of cylinders for this disk is set to 1245.
There is nothing wrong with that, but this is larger than 1024,
and could in certain setups cause problems with:
1) software that runs at boot time (e.g., old versions of LILO)
2) booting and partitioning software from other OSs
   (e.g., DOS FDISK, OS/2 FDISK)

Command (m for help): p

Disk /dev/hda: 255 heads, 63 sectors, 1245 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1   *         1       256   2056288+   e  Win95 FAT16 (LBA)
/dev/hda2           257      1244   7936110    f  Win95 Ext'd (LBA)
/dev/hda5           442       456    120456   82  Linux swap
/dev/hda6           457       590   1076323+  83  Linux
/dev/hda7           591       641    409626   fd  Linux raid autodetect
/dev/hda8           257       441   1485981   83  Linux
/dev/hda9           642       807   1333363+  fd  Linux raid autodetect
/dev/hda10          808       871    514048+  fd  Linux raid autodetect
/dev/hda11          872      1244   2996091   83  Linux

Partition table entries are not in disk order

Command (m for help): q

]0;root: /tmp[root /tmp]# fdisk /dev/sda

Command (m for help): p

Disk /dev/sda: 255 heads, 63 sectors, 262 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/sda1             1        64    514048+  fd  Linux raid autodetect
/dev/sda2            65       198   1076355    7  HPFS/NTFS
/dev/sda3           199       262    514080    5  Extended
/dev/sda5           212       262    409626   fd  Linux raid autodetect
/dev/sda6           199       211    104359+  82  Linux swap

Partition table entries are not in disk order

Command (m for help): q

]0;root: /tmp[root /tmp]# fdisk /dev/sdb

Command (m for help): p

Disk /dev/sdb: 255 heads, 63 sectors, 275 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/sdb1             1       166   1333363+  fd  Linux raid autodetect
/dev/sdb2           167       211    361462+   5  Extended
/dev/sdb3           212       262    409657+  83  Linux
/dev/sdb4           263       275    104422+  82  Linux swap
/dev/sdb5           167       211    361431    7  HPFS/NTFS

Command (m for help): q

]0;root: /tmp[root /tmp]# cat /etc/fstab
LABEL=/                 /                       ext2    defaults        1 1
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,ro 0 0
/dev/fd0                /mnt/floppy             auto    noauto,owner    0 0
/dev/md0                /usr                    ext2    defaults        1 2
/dev/md1		/usr/local		ext2	defaults	1 2
/dev/md2                /home			ext2    defaults        1 2
/dev/hda11		/usr/local/music/1	ext2	defaults        1 2
/dev/hda6		/usr/local/music/2	ext2	defaults        1 2
/dev/hda8		/usr/local/music/3	ext2	defaults        1 2
none                    /proc                   proc    defaults        0 0
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/hda5               swap                    swap    defaults	0 0
/dev/sda6               swap                    swap    defaults	0 0
/dev/sdb4               swap                    swap    defaults	0 0

raiddev		    /dev/md0
raid-level		    0
nr-raid-disks		    2
chunk-size		    64k
persistent-superblock	    1
#nr-spare-disks	    0
    device	    /dev/hda9
    raid-disk     0
    device	    /dev/sdb1
    raid-disk     1
raiddev             /dev/md1
raid-level                  0
nr-raid-disks		    2
chunk-size                  64k
persistent-superblock       1
    device          /dev/sda5
    raid-disk     0
    device          /dev/hda7
    raid-disk     1
raiddev		    /dev/md2
raid-level		    0
nr-raid-disks		    2
chunk-size		    64k
persistent-superblock	    1
#nr-spare-disks	    0
    device	    /dev/hda10
    raid-disk     0
    device	    /dev/sda1
    raid-disk     1

The iso's were all being stored in /dev/hda11

All of these partitions were already in existence when I began the upgrade.
Comment 7 Brent Fox 2001-05-21 14:13:49 EDT
I don't know what to tell you...everything looks ok with your partitions to me.
 I have not seen this problem in the testing that I've done.  If you can
reproduce the problem, please reopen the report.  When I try to duplicate your
scenario, I make the /usr partition something really small, (like 5MB).  After
formatting the partition, the installer tells me that I need more space in /usr.
 So, I back up and give it more space in Disk Druid.  I go back to the package
selection screen and the installer tells me that the kernel needs to reboot in
order to read my new partition table.  I reboot, try the install again, and
things are fine.

Note You need to log in before you can comment on or make changes to this bug.